- Third-party
Seedream 4.5 builds on 4.0 with multi-reference image support, batch generation, and sequential image generation.
| Model Info | |
|---|---|
| More information | link ↗ |
| Pricing | View pricing in the Cloudflare dashboard ↗ |
Usage
const response = await env.AI.run(
'bytedance/seedream-4.5',
{ prompt: 'A cozy reading nook with floor-to-ceiling bookshelves and a comfortable armchair' },
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "bytedance/seedream-4.5",
"input": {
"prompt": "A cozy reading nook with floor-to-ceiling bookshelves and a comfortable armchair"
}
}'
{
"gatewayMetadata": {
"keySource": "Unified"
},
"result": {
"images": [
"https://ark-content-generation-v2-ap-southeast-1.tos-ap-southeast-1.volces.com/seedream-4-5/0217764052077481386b9a8ed856c57501cfa946ce34c9865285c_0.jpeg"
]
},
"state": "Completed"
}Examples
High Resolution — 4K quality image generation
const response = await env.AI.run(
'bytedance/seedream-4.5',
{
prompt:
'A hyperrealistic still life painting of fresh fruit on an antique wooden table with dramatic chiaroscuro lighting',
aspect_ratio: '4:3',
size: '4K',
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "bytedance/seedream-4.5",
"input": {
"prompt": "A hyperrealistic still life painting of fresh fruit on an antique wooden table with dramatic chiaroscuro lighting",
"aspect_ratio": "4:3",
"size": "4K"
}
}'
{
"gatewayMetadata": {
"keySource": "Unified"
},
"result": {
"images": [
"https://ark-content-generation-v2-ap-southeast-1.tos-ap-southeast-1.volces.com/seedream-4-5/0217764052077581386b9a8ed856c57501cfa946ce34c985dabe3_0.jpeg"
]
},
"state": "Completed"
}Image-to-Image — Edit using reference images
const response = await env.AI.run(
'bytedance/seedream-4.5',
{
prompt: 'Transform this scene into a winter wonderland with snow covering everything',
aspect_ratio: 'match_input_image',
image_input: [
'https://replicate.delivery/xezq/0lxxNQSg3NabCZrDiQVAPGVmjP1Q2dd7TgYCOTfI9LpyZaMLA/tmp89gopylq.jpg',
],
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "bytedance/seedream-4.5",
"input": {
"prompt": "Transform this scene into a winter wonderland with snow covering everything",
"aspect_ratio": "match_input_image",
"image_input": [
"https://replicate.delivery/xezq/0lxxNQSg3NabCZrDiQVAPGVmjP1Q2dd7TgYCOTfI9LpyZaMLA/tmp89gopylq.jpg"
]
}
}'
{
"gatewayMetadata": {
"keySource": "Unified"
},
"result": {
"images": [
"https://ark-content-generation-v2-ap-southeast-1.tos-ap-southeast-1.volces.com/seedream-4-5/0217764052176861386b9a8ed856c57501cfa946ce34c98846458_0.jpeg"
]
},
"state": "Completed"
}Sequential Generation — Generate multiple related images
const response = await env.AI.run(
'bytedance/seedream-4.5',
{
prompt: 'A character design sheet for a fantasy warrior: front view, side view, and back view',
aspect_ratio: '16:9',
max_images: 3,
sequential_image_generation: 'auto',
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "bytedance/seedream-4.5",
"input": {
"prompt": "A character design sheet for a fantasy warrior: front view, side view, and back view",
"aspect_ratio": "16:9",
"max_images": 3,
"sequential_image_generation": "auto"
}
}'
{
"gatewayMetadata": {
"keySource": "Unified"
},
"result": {
"images": [
"https://ark-content-generation-v2-ap-southeast-1.tos-ap-southeast-1.volces.com/seedream-4-5/0217764052291261386b9a8ed856c57501cfa946ce34c98481db1_0.jpeg"
]
},
"state": "Completed"
}Multi-Image Edit — Combine multiple reference images
const response = await env.AI.run(
'bytedance/seedream-4.5',
{
prompt: 'Combine the style of the first image with the subject from the second image',
image_input: [
'https://replicate.delivery/xezq/TRYcLgNMrBpPJVq09ICKXWe4Z8d6olzpK5vtQPOB8O23ZaMLA/tmpaecga26m.jpg',
'https://replicate.delivery/xezq/1SbAc0aXYXbVD9doyrdCW78hYufVefMsaJXBrETN7Lu2npxsA/tmphvkx7emy.jpg',
],
size: '2K',
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "bytedance/seedream-4.5",
"input": {
"prompt": "Combine the style of the first image with the subject from the second image",
"image_input": [
"https://replicate.delivery/xezq/TRYcLgNMrBpPJVq09ICKXWe4Z8d6olzpK5vtQPOB8O23ZaMLA/tmpaecga26m.jpg",
"https://replicate.delivery/xezq/1SbAc0aXYXbVD9doyrdCW78hYufVefMsaJXBrETN7Lu2npxsA/tmphvkx7emy.jpg"
],
"size": "2K"
}
}'
{
"gatewayMetadata": {
"keySource": "Unified"
},
"result": {
"images": [
"https://ark-content-generation-v2-ap-southeast-1.tos-ap-southeast-1.volces.com/seedream-4-5/0217764052323791386b9a8ed856c57501cfa946ce34c98b2f132_0.jpeg"
]
},
"state": "Completed"
}Parameters
prompt
stringrequired▶image_input[]
arrayformat: urisize
stringenum: 2K, 4Kaspect_ratio
stringenum: match_input_image, 1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, 21:9sequential_image_generation
stringenum: disabled, automax_images
integerminimum: 1maximum: 15disable_safety_checker
boolean▶images[]
arrayminItems: 1format: uri